#
# spec file for package yast2-apparmor (Version 2.0)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison blocxx boost bzip2 coreutils cpio cpp cracklib curl cvs cyrus-sasl db dbus-1 dbus-1-glib desktop-translations diffutils e2fsprogs expat file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glib2 glibc glibc-devel glibc-locale gnome-filesystem gpm grep groff gzip hal hwinfo info insserv klogd less libacl libattr libcom_err libgcc libicu libidn libnscd libstdc++ libtool libusb libxcrypt libxml2 liby2util libzio libzypp m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch pcre perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysfsutils sysvinit tar tcpd texinfo timezone unzip update-desktop-files util-linux vim wireless-tools yast2 yast2-core yast2-devtools yast2-hardware-detection yast2-pkg-bindings yast2-theme-SuSELinux zlib zlib-devel

Name:           yast2-apparmor
Summary:        Yast2 plugins for AppArmor profile management
Version:        2.0
Release:        27.4
Group:          Productivity/Security
Source0:        %{name}-%{version}-6363.tar.gz
Patch0:         reporting_email_addr_106591.patch
Patch1:         newPrivOptions_Px_Ux_m_175388_172061.patch  
License:        GPL, Other License(s), see package
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
URL:            http://forge.novell.com/modules/xfmod/project/?apparmor
Requires:       yast2 perl-TimeDate
BuildArch: noarch
Obsoletes:      yast2-subdomain
Provides:       yast2-subdomain
BuildRequires:  update-desktop-files
%if %{suse_version} > 1000 
BuildRequires:  yast2 yast2-devtools yast2-theme-SuSELinux
%endif

%description
Yast2 forms and components for the management of Novell AppArmor
profiles.

This package is part of a suite of tools that used to be named
SubDomain.



Authors:
--------
    ddrewelow@suse.de
    dreynolds@suse.de
    jmichael@suse.de

%debug_package
%prep
%setup -q
%patch0 -p0
%patch1 -p1

%build
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=${RPM_BUILD_ROOT} DISTRO=%{distro}

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make install DESTDIR=${RPM_BUILD_ROOT} DISTRO=%{distro}
# Register as SuSE app
for f in `find $RPM_BUILD_ROOT/%{_prefix}/share/applications/YaST2/ -name "*.desktop"` ; do
    d=${f##*/}
    if [ "%{suse_version}" -lt 930 ] ; then
    	%suse_update_desktop_file ${d%.desktop}
    else
    	%suse_update_desktop_file -d ycc_${d%.desktop} ${d%.desktop}
    fi
done

%clean 
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
/usr/bin/*
/usr/share/YaST2/clients
/usr/share/YaST2/include/subdomain
/usr/share/YaST2/scrconf
/usr/share/applications/YaST2/
/usr/share/applications/YaST2/groups
/usr/lib/YaST2/servers_non_y2
/usr/lib/perl5/vendor_perl/*
/usr/share/YaST2/theme/SuSELinux/icons
%doc COPYING.LGPL
%dir %attr(-,root,root) /etc/apparmor
%config(noreplace) /etc/apparmor/reports.crontab
%config(noreplace) /etc/apparmor/reports.conf

%post
REPDIR='/var/log/apparmor/reports'
REPDIR2='/var/log/apparmor/reports-archived'
REPDIR3='/var/log/apparmor/reports-exported'
[ -e $REPDIR ] || mkdir -p $REPDIR
[ -e $REPDIR2 ] || mkdir -p $REPDIR2
[ -e $REPDIR3 ] || mkdir -p $REPDIR3

%preun

%changelog -n yast2-apparmor
* Thu Jun 01 2006 - dreynolds@suse.de
- Fixes for #175388, #172061. Added support
  for new profile syntax Px/Ux/m.
- Fix for #106591 - email address required in reports
* Mon Apr 03 2006 - dreynolds@suse.de
- Pickup fix for typo regression in profile_dialogs.ycp (thanks rudi)
- Remove libapparmor as a dependency for all yast wizards (#160518)
* Sun Apr 02 2006 - ro@suse.de
- fix typo in subdomain/profile_dialogs.ycp
* Mon Mar 27 2006 - jmichael@suse.de
- Split aaeventd startup into its own init script so we don't start
  daemons while in the "boot" runlevel (#158613)
- Fix broken notification help localization.
* Mon Mar 13 2006 - dreynolds@suse.de
- Don't check for event DB intialization when running the audit report.
  (#155343)
- Remove localized text in apparmor.desktop - as the desktop translation
  is handled by the translation group.
  https://bugzilla.novell.com/show_bug.cgi?id=151509
- Changes the checks from /etc/subdomain.d to /etc/apparmor.d when
  validated manual selection of #includes in the "Edit Profile" wizard.
  (#152813)
- Replace yast2-devel build-requires with yast2 yast2-devtools
* Wed Feb 15 2006 - dreynolds@suse.de
- Fixed typo in SD_EditProfie.ycp that was causing a syntax error in the wizard
* Mon Feb 13 2006 - dreynolds@suse.de
- Include counter (and time) in ag_genprof logmark
- (sbeattie@suse.de) Install apparmor packages if not already installed (#137585)
- (sbeattie@suse.de) Remove direct dependency on apparmor packages
* Mon Feb 06 2006 - sbeattie@suse.de
- Fix non-wrapping error-dialog (#146435)
- Enable/start aaeventd if notification is enabled
- (jmichael) Remove dead code
* Sun Jan 29 2006 - sbeattie@suse.de
- Add svn repo number to tarball name
- (dreynolds) Removed AALite checks
- (dreynolds) Fix regex warning
- (dreynolds) Fix apparmor control panel to correctly tell if AA is
  enabled/disabled (#145955)
- disable autoyast support in aa configs (#116749)
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 23 2006 - dreynolds@suse.de
-  Added code to process events from the audit system in addition to syslog
* Tue Jan 17 2006 - dreynolds@suse.de
- Remove references to message catalog files - now provided by yast2-trans
* Fri Dec 09 2005 - sbeattie@suse.de
- fix gettext/textdomain() calls to refer to new messages filename
- fix references to old package names within .po files
* Thu Dec 08 2005 - sbeattie@suse.de
- rename package to yast2-apparmor
- relicense to GPL and LGPL for open source release
- reset version to 2.0-1
